Shibboleth authentication

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Shibboleth authentication

Sorin Gheorghiu
Dear developers,

we learned that the authentication layer got a major overhaul in 1.27.
We are interested in Shibboleth-authentication [1] which derives from
AuthPlugin.php, deprecated and superseded by AuthManager.php. The last
version of this extension [1] is compatible with 1.26, but it does work
with 1.27 and above. It seems the project development has been stopped.

While you are accustomed with the new AuthManager classes, could you
help us by chance to get a new script working for 1.27? We found the
updating tips [3] but unfortunately we don't have any Mediawiki
programming experience.

[1] https://www.mediawiki.org/wiki/Extension:Shibboleth_Authentication
[2]
https://github.com/ConsortiumGARR/mediawiki-shibboleth-authentication/blob/master/ShibAuthPlugin.php
[3]
https://www.mediawiki.org/wiki/Manual:SessionManager_and_AuthManager/Updating_tips

Thank you in advance
_______________________________________________
Wikitech-l mailing list
[hidden email]
https://lists.wikimedia.org/mailman/listinfo/wikitech-l